Bug 1124759 - JSONRPC logs add unwanted newlines and unexpected characters
Summary: JSONRPC logs add unwanted newlines and unexpected characters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm-jsonrpc-java
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 09:04 UTC by Nir Soffer
Modified: 2016-02-10 19:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-12 14:25:25 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine log (508.81 KB, application/x-xz)
2014-07-30 09:04 UTC, Nir Soffer
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30927 master MERGED Log json message without logging stomp part of a frame Never

Description Nir Soffer 2014-07-30 09:04:42 UTC
Created attachment 922469 [details]
engine log

Description of problem:

jsorpc logs are a mess:

----
2014-07-30 02:17:47,208 INFO  [org.ovirt.vdsm.jsonrpc.client.reactors.stomp.SSLStompClient] (DefaultQuartzScheduler_Worker-55) Message sent: SEND
destination:/queue/_local/vdsm/requests

{"jsonrpc":"2.0","method":"Host.getVMList","params":{"vmList":[]},"id":"d92e99d6-6f8c-4464-bd75-5b81e8d29e77"}^@

2014-07-30 02:17:47,286 INFO  [org.ovirt.vdsm.jsonrpc.client.internal.ResponseWorker] (ResponseWorker) Message received :{"jsonrpc": "2.0", "id": "d92e99d6-6f8c-4464-bd75-5b81e8d29e77", "result": []}
2014-07-30 02:17:48,719 INFO  [org.ovirt.vdsm.jsonrpc.client.reactors.stomp.SSLStompClient] (DefaultQuartzScheduler_Worker-5) Message sent: SEND
destination:/queue/_local/vdsm/requests

{"jsonrpc":"2.0","method":"Host.getVMList","params":{"vmList":[]},"id":"bf2736ea-e6d0-47ae-ab4f-154de5af2256"}^@

2014-07-30 02:17:48,796 INFO  [org.ovirt.vdsm.jsonrpc.client.internal.ResponseWorker] (ResponseWorker) Message received :{"jsonrpc": "2.0", "id": "bf2736ea-e6d0-47ae-ab4f-154de5af2256", "result": []}
----

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20140722232056.git8e1babc.fc19

Comment 1 Gil Klein 2014-10-12 14:25:25 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.